| Bsoft 2.0.5 Bernard's software package

Functions
rwmodel_bild.h File Reference

Header file for reading and writing Chimera BILD files. More...

`#include "rwmodel.h"`

Go to the source code of this file.

## Functions
Bmodel * | read_model_bild (Bstring *file_list)
| Reads Chimera BILD model parameters. More...
int | write_model_bild (Bstring &filename, Bmodel *model)
| Writes Chimera BILD model parameters. More...
int | model_to_bild_orientations (Bstring &filename, Bmodel *model, int vec_type, int color_type)
| Converts a model into a representation with views. More...
int | model_to_bild_view_sphere (Bstring &filename, Bmodel *model, int color_type)
| Converts a model into a representation with views. More...
int | model_to_bild_view_polygons (Bstring &filename, Bmodel *model, int order, int color_type)
| Converts a model into a representation with view polygons. More...
int | model_to_bild_polygons (Bstring &filename, Bmodel *model, int color_type)
| Converts a model into a bild polygon representation. More...
int | model_to_bild_neighbor_planes (Bstring &filename, Bmodel *model, int color_type)
| Converts a model into a bild neighbor plane representation. More...

## Detailed Description

Header file for reading and writing Chimera BILD files.

Author
  Bernard Heymann

Date
  Created: 20140706
  Modified: 20160616

Definition in file rwmodel_bild.h.

## Function Documentation

## ◆ model_to_bild_neighbor_planes()

int model_to_bild_neighbor_planes | ( | Bstring & | filename,
|  | Bmodel * | model,
|  | int | color_type
| ) |  |

Converts a model into a bild neighbor plane representation.

Parameters

  &filename | bild format file name.
  *model | model structure.
  color_type | flag to color planes.

Returns
  int 0, <0 on error.

      Color scheme types:
          1   spectrum/rainbow.
          2   fom.

Definition at line 593 of file rwmodel_bild.cpp.

## ◆ model_to_bild_orientations()

int model_to_bild_orientations | ( | Bstring & | filename,
|  | Bmodel * | model,
|  | int | vec_type,
|  | int | color_type
| ) |  |

Converts a model into a representation with views.

Parameters

  &filename | bild format file name.
  *model | model structure.
  vec_type | 0=views, 1=vectors, 2=velocity vectors.
  color_type | flag to color components.

Returns
  int 0, <0 on error.

      A sphere is drawn for every component with a cylinder indicating its view.

Definition at line 275 of file rwmodel_bild.cpp.

## ◆ model_to_bild_polygons()

int model_to_bild_polygons | ( | Bstring & | filename,
|  | Bmodel * | model,
|  | int | color_type
| ) |  |

Converts a model into a bild polygon representation.

Parameters

  &filename | bild format file name.
  *model | model structure.
  color_type | flag to color polygons.

Returns
  int 0, <0 on error.

      Color scheme types:
          1   spectrum/rainbow.
          2   fom.

Definition at line 523 of file rwmodel_bild.cpp.

## ◆ model_to_bild_view_polygons()

int model_to_bild_view_polygons | ( | Bstring & | filename,
|  | Bmodel * | model,
|  | int | order,
|  | int | color_type
| ) |  |

Converts a model into a representation with view polygons.

Parameters

  &filename | bild format file name.
  *model | model structure.
  order | polygon order.
  color_type | flag to color components.

Returns
  int 0, <0 on error.

      A sphere is drawn for every component with a cylinder indicating its view.

Definition at line 444 of file rwmodel_bild.cpp.

## ◆ model_to_bild_view_sphere()

int model_to_bild_view_sphere | ( | Bstring & | filename,
|  | Bmodel * | model,
|  | int | color_type
| ) |  |

Converts a model into a representation with views.

Parameters

  &filename | bild format file name.
  *model | model structure.
  color_type | flag to color components.

Returns
  int 0, <0 on error.

      A sphere is drawn for every component with a cylinder indicating its view.

Definition at line 362 of file rwmodel_bild.cpp.

## ◆ read_model_bild()

Bmodel* read_model_bild | ( | Bstring * | file_list | ) |

Reads Chimera BILD model parameters.

Parameters

  *file_list | list of model parameter file names.

Returns
  Bmodel* model parameters.

Definition at line 43 of file rwmodel_bild.cpp.

## ◆ write_model_bild()

int write_model_bild | ( | Bstring & | filename,
|  | Bmodel * | model
| ) |  |

Writes Chimera BILD model parameters.

Parameters

  &filename | model parameter file name.
  *model | model parameters.

Returns
  int models written.

Definition at line 232 of file rwmodel_bild.cpp.